Subject: bug#76772: 29.4; Emacsclient doesn't display warnings emitted during daemon startup

From: Stefan Kangas <[email-masked]>
Date: Thu, 6 Mar 2025 01:25:37 -0800

Eli Zaretskii <[email-masked]> writes:

> tags 76772 notabug
> thanks
>
>> From: Artiom Balan <[email-masked]>
>> Date: Wed, 5 Mar 2025 23:47:26 +0200
>>
>> Steps to reproduce:
>> 1. Run emacs: emacs -Q --eval "(display-warning 'type \"message\"))"
>> 2. Notice the warning is displayed
>> 3. Start emacs server: emacs -Q --fg-daemon --eval "(display-warning 'type \"message\"))"
>> 4. Open a client: emacsclient -c
>> 5. Notice the warning is not displayed
>>
>> I expected that the warnings buffer would be displayed in the exact
>> same way in the emacsclient as in the first scenario.
>
> Thanks.
>
> The *Warnings* buffer is there, it's just that the client frame
> doesn't show it.  Why should it? how should it know you want that
> particular buffer displayed without any indication from you?

We show it unconditionally in regular Emacs sessions, so it is at the
very least surprising that it is not displayed in the scenario described
above.

I would have expected Emacs to make an effort to display it to me.

> Try this, and you will see the warning in the client frame:
>
>   emacsclient -c --eval "(display-buffer \"*Warnings*\")"
>
> I don't see a bug here.